Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Move

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.Copy
                        |
                        +--org.apache.tools.ant.taskdefs.Move

public class Move
extends Copy

Moves a file or directory to a new file or directory. By default, the destination file is overwritten if it already exists. When overwrite is turned off, then files are only moved if the source file is newer than the destination file, or when the destination file does not exist.

Source files and directories are only deleted when the file or directory has been copied to the destination successfully. Filtering also works.

This implementation is based on Arnout Kuiper's initial design document, the following mailing list discussions, and the copyfile/copydir tasks.

Since:
  Ant 1.2
Version:
  $Revision: 1.41.2.4 $

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.Copy
`completeDirMap, destDir, destFile, dirCopyMap, file, fileCopyMap, filesets, filtering, flatten, forceOverwrite, includeEmpty, mapperElement, preserveLastModified, verbosity`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Move()` Constructor of object.

Method Summary
`protected void` | `deleteDir(java.io.File d)` Go and delete the directory tree.
`protected void` | `doFileOperations()` Override copy's doFileOperations to move the files instead of copying them.
`protected boolean` | `okToDelete(java.io.File d)` Its only ok to delete a directory tree if there are no files in it.
`protected boolean` | `renameFile(java.io.File sourceFile, java.io.File destFile, boolean filtering, boolean overwrite)` Attempts to rename a file from a source to a destination.

Methods inherited from class org.apache.tools.ant.taskdefs.Copy
`addFileset, buildMap, createFilterChain, createFilterSet, createMapper, execute, getEncoding, getFileUtils, getFilterChains, getFilterSets, getOutputEncoding, getPreserveLastModified, isEnableMultipleMapping, scan, setEnableMultipleMappings, setEncoding, setFailOnError, setFile, setFiltering, setFlatten, setGranularity, setIncludeEmptyDirs, setOutputEncoding, setOverwrite, setPreserveLastModified, setPreserveLastModified, setTodir, setTofile, setVerbose, validateAttributes`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Move

    public Move()

  Constructor of object. This sets the forceOverwrite attribute of the Copy parent class to true.

Method Detail

### doFileOperations

    protected void doFileOperations()

  Override copy's doFileOperations to move the files instead of copying them.

  Overrides:
    `doFileOperations` in class `Copy`

### okToDelete

    protected boolean okToDelete(java.io.File d)

  Its only ok to delete a directory tree if there are no files in it.

  Parameters:
    `d` - the directory to check
  Returns:
    true if a deletion can go ahead

### deleteDir

    protected void deleteDir(java.io.File d)

  Go and delete the directory tree.

  Parameters:
    `d` - the directory to delete

### renameFile

    protected boolean renameFile(java.io.File sourceFile,
                                 java.io.File destFile,
                                 boolean filtering,
                                 boolean overwrite)
                          throws java.io.IOException,
                                 BuildException

  Attempts to rename a file from a source to a destination. If overwrite is set to true, this method overwrites existing file even if the destination file is newer. Otherwise, the source file is renamed only if the destination file is older than it. Method then checks if token filtering is used. If it is, this method returns false assuming it is the responsibility to the copyFile method.

  Parameters:
    `sourceFile` - the file to rename
    `destFile` - the destination file
    `filtering` - if true, filtering is in operation, file will be copied/deleted instead of renamed
    `overwrite` - if true force overwrite even if destination file is newer than source file
  Returns:
    true if the file was renamed
  Throws:
    `java.io.IOException` - if an error occurs
    `BuildException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.